List workflows
curl --request GET \
--url https://app.loops.so/api/v1/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.loops.so/api/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.loops.so/api/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"totalResults": 2,
"returnedResults": 2,
"perPage": 20,
"totalPages": 1,
"nextCursor": null,
"nextPage": null
},
"data": [
{
"id": "cls5d9u1w009yl70c7d8e9f0g",
"name": "Welcome sequence",
"createdAt": "2026-03-28T15:00:00.000Z",
"updatedAt": "2026-03-28T15:00:00.000Z"
}
]
}
{
"message": "Invalid perPage value"
}
Workflows
List workflows
Retrieve a paginated list of workflows in your Loops account, sorted by most recently updated, including workflow IDs, names, and status.
GET
/
v1
/
workflows
List workflows
Workflow API endpoints are currently in alpha and are subject to change.
Request
Query parameters
How many results to return in each request. Must be between 10 and 50.
A cursor to return a specific page of results. Cursors can be found from the
pagination.nextCursor value in each response.Response
Success
Show metadata
Show metadata
Total results found.
The number of results returned in this response.
The maximum number of results requested.
Total number of pages.
The next cursor (for retrieving the next page of results using the
cursor
parameter), or null if there are no further pages.The URL of the next page of results, or
null if there are no further
pages.Error
IfperPage or cursor is invalid, a 400 Bad Request is returned.
If the API key is invalid (or workflow API is not enabled for your team), a
401 Unauthorized is returned.
An error message describing what went wrong.
{
"pagination": {
"totalResults": 2,
"returnedResults": 2,
"perPage": 20,
"totalPages": 1,
"nextCursor": null,
"nextPage": null
},
"data": [
{
"id": "cls5d9u1w009yl70c7d8e9f0g",
"name": "Welcome sequence",
"createdAt": "2026-03-28T15:00:00.000Z",
"updatedAt": "2026-03-28T15:00:00.000Z"
}
]
}
{
"message": "Invalid perPage value"
}
Last modified on June 29, 2026
Was this page helpful?
⌘I

